import { ConfigurationService } from '../../configuration/configuration.service';
import { Filter } from '../../filter/models/filter';
import { HeaderColumn } from '../../header/models/header-column';
import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ExportService {
    protected _httpClient: HttpClient;
    protected _translate: TranslateService;
    protected _configService: ConfigurationService;
    protected readonly SERVER_URL: string;
    constructor(_httpClient: HttpClient, _translate: TranslateService, _configService: ConfigurationService);
    downloadExcelFromCurrentSelection(activeFilter: Filter, currentHeaders: Array<HeaderColumn>): Observable<boolean>;
    getResourceAddress(name: string, resourcesArray: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExportService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ExportService>;
}
